<?php


namespace App\Mobile\Synchronization\Resources;


use Illuminate\Http\Resources\Json\JsonResource;

class SyncAddressResource extends JsonResource
{
    public function toArray($request)
    {

        return [
            "pee_codigo" => $this->address->pee_codigo ?? $this->pee_codigo ?? null,
            "pee_logradouro" => $this->os_end_logradouro ?? $this->address->pee_logradouro ?? $this->pee_logradouro ?? null,
            "pee_numero" =>  $this->os_end_numero ?? $this->address->pee_numero ?? $this->pee_numero ?? null,
            "pee_cep" =>  $this->os_end_cep ?? $this->address->pee_cep ?? $this->pee_cep ?? null,
            "pee_uf" =>  $this->os_end_uf ?? $this->address->pee_end_uf ?? $this->pee_uf ?? null,
            "pee_bairro" => $this->os_end_bairro ?? $this->address->pee_bairro ?? $this->pee_bairro ?? null,
            "pee_cidade" => $this->os_end_cidade ?? $this->address->pee_cidade ?? $this->pee_cidade ?? null,
//            "pee_distancia_km" => $this->os_end_distancia_km ?? $this->address->pee_distancia_km ?? $this->pee_distancia_km ?? null,
            "pee_complemento" => $this->os_end_complemento ?? $this->address->pee_complemento  ?? $this->pee_complemento ?? null,
//            "location" => [
//                "lat" => $this->address->pee_latitude ?? $this->pee_latitude ?? null,
//                "lng" => $this->address->pee_longitude ?? $this->pee_longitude ?? null
//            ]
        ];
    }
}
